Google Cloud Storage

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions

Creates a new Google Cloud Storage action in the pipeline

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

POST PARAMETERS
typerequiredstring enum
The type of the action
Allowed enum:
GOOGLE_CLOUD_STORAGE
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The current git revision
permissionsPermissionsView
Access permissions configuration
local_pathrequiredstring
The path to the local files to deploy
remote_pathstring
The path on the remote server where files will be deployed
deployment_excludesstring[]
The list of files or directories to exclude from deployment
deployment_includesstring[]
The list of files or directories to include in deployment
input_typestring enum
The type of source input
Allowed enum:
SCM_REPOSITORY,
BUILD_ARTIFACTS
deletion_disabledboolean
If set to true, files on the remote server will not be deleted
use_temporary_filesboolean
If set to true, files will be uploaded to a temporary directory first
content_encodingstring
The content encoding for deployed files
integrationrequiredGoogleServiceAccountIntegrationRef
Google Service Account integration (GOOGLE_SERVICE_ACCOUNT)
application_namestring
The name of the GCS application
bucket_namerequiredstring
The name of the GCS Bucket
public_accessboolean
Makes files accessible through public HTTP
cache_controlstring
Specifies how long objects stay in the cache

Last modified on Mar 18, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Upload files to GCS/hello-world-0", "type": "GOOGLE_CLOUD_STORAGE", "trigger_time": "ON_EVERY_EXECUTION", "input_type": "SCM_REPOSITORY", "local_path": "/assets", "remote_path": "/public", "bucket_name": "hello-world-0", "public_access": false, "application_name": "hello-world", "deployment_excludes": [ "/tmp/", "*.log" ], "deployment_includes": [ "/assets/style", "/tmp/file.txt" ], "integration": { "identifier": "gcp" } }'
STATUS
200 OK